//=============================================================================
// utb_BloodDrop.
//=============================================================================
class UTB_GBloodDrop extends Blood2;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();
	if (Level.NetMode != NM_DedicatedServer)
	{
		Velocity = (Vector(Rotation) + VRand()) * (80 * FRand() + 20);
		Velocity.z += 30;
		Drawscale = FRand()*0.10 + 0.0125;
		LifeSpan = FRand()*2 + 0.5;
		SpawnDrop();
	}
}

simulated function SpawnDrop()
{
	local Actor A;

	A = spawn(class'UT_BloodDrop');
	A.RemoteRole = ROLE_SimulatedProxy;
}

defaultproperties
{
     bHighDetail=True
     Physics=PHYS_Falling
     LifeSpan=2.000000
     DrawType=DT_Sprite
     Style=STY_Masked
     Texture=Texture'BloodSGrn'
     DrawScale=0.200000
     AmbientGlow=100
     bCollideWorld=True
     bBounce=True
     NetPriority=2.000000
}
